Duplicate "Security & Privacy" icons in Unity dash

Bug #1363721 reported by Tin Tvrtkovic on 2014-08-31
18
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Activity Log Manager
Undecided
Unassigned
activity-log-manager (Ubuntu)
Medium
Unassigned
Trusty
Medium
Unassigned
Vivid
Medium
Iain Lane

Bug Description

[ Description ]

There are two 'Security & Privacy' icons in the Unity dash if you have unity-control-center and gnome-control-center installed.

[ Fix ]

Remove the build dependency on libgnome-control-center-dev so the panel for GNOME doesn't get built. It is not used by ubuntu-gnome anyway.

[ Development fix ]

The panel is disabled in ≥ 14.10.

[ QA ]

0. Be on Unity
1. apt-get install unity-control-center gnome-control-center activity-log-manager
2. Open the dash (super key)
3. Start typing 'Security and Privacy'

You'll see two identical looking entries if you have this bug and one if it's fixed. Make sure it's fixed with the new package.

[ Original description ]

Ubuntu 14.04, activity-log-manager 0.9.7-0ubuntu14.

My Unity dash contains two entries for "Security & Privacy".

In /usr/share/applications, there are two .desktop files which this string in them: gnome-activity-log-manager-panel.desktop and unity-activity-log-manager-panel.desktop. Both of these files can be tracked to the 'activity-log-manager' package.

I'm thinking gnome-activity-log-manager-panel.desktop should be excluded from Unity, by changing "OnlyShowIn=Unity;" to "NotShowIn=Unity;"?

Tin Tvrtkovic (tinchester) wrote :

If a maintainer can agree on a solution, and the solution is simple, I can do the work myself.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in activity-log-manager (Ubuntu):
status: New → Confirmed
Bruno Nova (brunonova) wrote :

Just noticed this issue.
Funny, I'm almost sure my previous searches in the Dash for "Privacy" only returned one result until now... but this package wasn't updated yet since Trusty was released. So, I don't know... magic?

Anyway, what the bug reporter said is correct.
There are two .desktop files for this program, unity-activity-log-manager-panel.desktop and gnome-activity-log-manager-panel.desktop, and both include the line:
    OnlyShowIn=Unity;
That line in gnome-activity-log-manager-panel.desktop should be changed to:
    OnlyShowIn=GNOME;

Bruno Nova (brunonova) on 2014-09-19
tags: added: trusty
Bruno Nova (brunonova) wrote :

Here's a simple patch to fix this issue.
It only changes "OnlyShowIn=Unity;" to "OnlyShowIn=GNOME;" in gnome-activity-log-manager-panel.desktop.
I've tested this in the launcher installed in /usr/share/applications/ in my system and the issue is solved, and System Settings continues to display the launcher for "Security & Privacy".

The fix is trivial and only changes one line in a .desktop file, so an Ubuntu developer should be able to apply this fix to Utopic and Trusty very quickly (and also to the Activity Log Manager project by the team).
And an updated package can probably be released for Trusty without even going though trusty-proposed because of the trivial nature of the fix.

The attachment "only_show_one_launcher_in_unity.patch" seems to be a patch. If it isn't, please remove the "patch" flag from the attachment, remove the "patch" tag, and if you are a member of the ~ubuntu-reviewers, unsubscribe the team.

[This is an automated message performed by a Launchpad user owned by ~brian-murray, for any issues please contact him.]

tags: added: patch
Tim Lunn (darkxst) wrote :

Bruno, despite the name, gnome-activity-log-manager panel is not used in gnome-control-center, so we certainly don't won't it showing up in our search results. We do have the stand-alone binary available so in fact your just moving the issue onto a different DE

This command is a no-op anyway, and would just land at the main page of g-c-c
Exec=gnome-control-center activity-log-manager

I think this desktop file must have been leftover from the transition to unity-control-center. It would be safe to just drop this gnome-activity-log-manager-panel.desktop file.

Iain Lane (laney) on 2014-09-30
Changed in activity-log-manager (Ubuntu):
status: Confirmed → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package activity-log-manager - 0.9.7-0ubuntu16

---------------
activity-log-manager (0.9.7-0ubuntu16) utopic; urgency=medium

  * Don't build the gnome-control-center panel, only the unity-control-center
    one. gnome-control-center doesn't use it. (LP: #1363721)
 -- Iain Lane <email address hidden> Tue, 30 Sep 2014 12:03:08 +0100

Changed in activity-log-manager (Ubuntu):
status: Fix Committed → Fix Released
Bruno Nova (brunonova) wrote :

Will this fix be backported to Trusty?
It's not a big bug, but don't forget that Trusty is an LTS release supported for 5 years.

Bruno Nova (brunonova) wrote :

Err, @Ian Lane, this bug is not fixed 100% correctly (but it's working).

If the machine that is compiling this package has "libgnome-control-center-dev" installed, the gnome-control-center panel will be built.
Sure, the Ubuntu packages are built in a clean environment, but it's still wrong.

data/Makefile.am (lines 26-28):
    if HAVE_CCPANEL
        desktop_in_files += gnome-activity-log-manager-panel.desktop.in
    endif

configure.ac (lines 62-66):
    AC_ARG_WITH([whoopsie],
      [AS_HELP_STRING([--with-whoopsie],
        [build control-center plugin Ubuntu crash reporting page @<:@default=check@:>@])],
      [with_ccpanel=check],
      [with_whoopsie=check])

configure.ac (line 128):
    AM_CONDITIONAL([HAVE_CCPANEL], [test -n "$CCPANEL_LIBS" && test "x$with_ccpanel" != xno])

I don't understand much of this, but don't these lines make the gnome-control-center panel be built when libgnome-control-center-dev is installed?

I was going to backport this fix to Trusty, but this issue confused me.
If this issue gives you more trouble than it's worth, and if activity-log-manager isn't going to be used in Unity 8, just forget it. You probably have more important things to do. :)
But I would like to see this fix in Trusty.

On Mon, Oct 20, 2014 at 07:43:36PM -0000, Bruno Nova wrote:
> Err, @Ian Lane, this bug is not fixed 100% correctly (but it's working).

Blerg, it's true, I passed the wrong flag.

This fix is good enough for now but I'll fix it properly for v-series.
Thanks for noticing.

--
Iain Lane [ <email address hidden> ]
Debian Developer [ <email address hidden> ]
Ubuntu Developer [ <email address hidden> ]

Changed in activity-log-manager (Ubuntu Vivid):
assignee: nobody → Iain Lane (laney)
Bruno Nova (brunonova) wrote :

Ok.
This is not fixed in Trusty yet. Should we wait until your new fix for v-series to backport it to Trusty, backport the current fix now, or leave it not fixed?

Iain Lane (laney) wrote :

On Mon, Oct 20, 2014 at 08:38:34PM -0000, Bruno Nova wrote:
> Ok.
> This is not fixed in Trusty yet. Should we wait until your new fix for v-series to backport it to Trusty, backport the current fix now, or leave it not fixed?

If you want to fix it by removing the build-dep, feel free to do that,
otherwise we can look again next week or something.

You'll want to follow
  https://wiki.ubuntu.com/StableReleaseUpdates#Procedure

--
Iain Lane [ <email address hidden> ]
Debian Developer [ <email address hidden> ]
Ubuntu Developer [ <email address hidden> ]

Bruno Nova (brunonova) wrote :

Ok, I'll wait.

Iain Lane (laney) wrote :

Sorry for the delay. Should be fixed properly in vivid. I'll upload the smaller fix to 14.04 now.

Changed in activity-log-manager:
status: New → Fix Committed
Changed in activity-log-manager (Ubuntu Vivid):
status: New → Fix Released
Bruno Nova (brunonova) wrote :

No problem!
I'll test the fix in trusty-proposed when it's available.

Iain Lane (laney) on 2015-01-28
Changed in activity-log-manager (Ubuntu Trusty):
status: New → In Progress
description: updated

Hello Tin, or anyone else affected,

Accepted activity-log-manager into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/activity-log-manager/0.9.7-0ubuntu14.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in activity-log-manager (Ubuntu Trusty):
status: In Progress → Fix Committed
tags: added: verification-needed
Bruno Nova (brunonova) wrote :

OK, I upgraded the packages "activity-log-manager" and "activity-log-manager-control-center" to version "0.9.7-0ubuntu14.1" in Trusty.
The issue is fixed! Only one .desktop file is shown in the dash now.

I also have GNOME Session Flashback installed, and only one .desktop file is present in its application menu (correct behavior).

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package activity-log-manager - 0.9.7-0ubuntu14.1

---------------
activity-log-manager (0.9.7-0ubuntu14.1) trusty; urgency=medium

  * debian/control: Remove libgnome-control-center-dev BD. This was broken
    (OnlyShowIn=Unity instead of GNOME), and isn't wanted in GNOME anyway.
    Keeping it there results in duplicate 'Security & Privacy' icons if you
    have gnome-control-center installed. (LP: #1363721)
 -- Iain Lane <email address hidden> Wed, 28 Jan 2015 16:43:02 +0000

Changed in activity-log-manager (Ubuntu Trusty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for activity-log-manager has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Mathew Hodson (mathew-hodson) wrote :

activity-log-manager 0.9.7-0ubuntu14.1 for Trusty also fixed my issue in bug #1366385.

Changed in activity-log-manager (Ubuntu Vivid):
importance: Undecided → Medium
Changed in activity-log-manager:
status: Fix Committed → Fix Released
Changed in activity-log-manager (Ubuntu):
importance: Undecided → Medium
Changed in activity-log-manager (Ubuntu Trusty):
importance: Undecided → Medium
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers